import 'package:flutter/material.dart';
import 'package:nb_utils/nb_utils.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();

    initialize();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'NB Utils Example',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        scaffoldBackgroundColor: scaffoldLightColor,
      ),
      home: HomePage(),
    );
  }
}

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: appBarWidget('Home', showBack: Navigator.canPop(context)),
      body: Container(
        child: SingleChildScrollView(
          child: Column(
            children: <Widget>[
              Column(
                children: [
                  Container(
                    decoration: boxDecorationDefault(),
                    height: 100,
                    width: 100,
                  ),
                  UL(
                    symbolType: SymbolType.Numbered,
                    children: [
                      Text('Hi', style: primaryTextStyle()),
                      Text('Hello', style: primaryTextStyle()),
                      Text('How are you?', style: primaryTextStyle()),
                    ],
                  ),
                  16.height,
                  AppTextField(
                    controller: TextEditingController(),
                    textFieldType: TextFieldType.EMAIL,
                    decoration: InputDecoration(
                        labelText: 'Email', border: OutlineInputBorder()),
                  ),
                  AppTextField(
                    controller: TextEditingController(),
                    textFieldType: TextFieldType.ADDRESS,
                    decoration: InputDecoration(labelText: 'Address'),
                    minLines: 4,
                  ),
                  AppTextField(
                    controller: TextEditingController(),
                    textFieldType: TextFieldType.PASSWORD,
                    decoration: InputDecoration(labelText: 'Password'),
                  ),
                ],
              ).paddingAll(16),
              16.height,
              Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  AppButton(
                    text: 'Save',
                    onTap: () async {
                      toastLong('Sample toast');
                    },
                  ),
                  16.width,
                  GoogleLogoWidget(),
                ],
              ),
              8.height,
              SettingSection(
                title:
                    Text('Account Management', style: boldTextStyle(size: 24)),
                subTitle: Text('Control your account',
                    style: primaryTextStyle(size: 16)),
                items: [
                  SettingItemWidget(
                    title: 'Hibernate account',
                    subTitle: 'Temporary deactivate your account',
                    decoration: BoxDecoration(borderRadius: radius()),
                    trailing: Icon(Icons.keyboard_arrow_right_rounded,
                        color: context.dividerColor),
                    onTap: () {
                      //HomePage().launch(context);
                    },
                  ),
                  SettingItemWidget(
                    title: 'Close account',
                    subTitle:
                        'Learn about your options, and close your account if you wish',
                    decoration: BoxDecoration(borderRadius: radius()),
                    trailing: Icon(Icons.keyboard_arrow_right_rounded,
                        color: context.dividerColor),
                    onTap: () {
                      //HomePage().launch(context);
                    },
                  ),
                ],
              ),
            ],
          ),
        ),
      ),
    );
  }
}
